# List batch attachments

Returns metadata for all attachments configured on the batch.

Endpoint: GET /v2/EviNotice/Batches/{BatchId}/Attachments
Version: 1.0
Security: basicAuth

## Security:

  - `basicAuth` (unknown)
    http basic

## Path parameters:

  - `BatchId` (string, required)

## Response 200:

  - `200` (unknown)
    Attachment metadata returned.

## Response 200 fields (application/json):

  - `Id` (string)

  - `DisplayName` (string)

  - `FileName` (string)

  - `MimeType` (string)

  - `Size` (integer)
    Size of the attachment in bytes.

  - `ContentEncoding` (string)

  - `ContentId` (string)

## Response 401:

  - `401` (unknown)
    Authentication failed

## Response 404:

  - `404` (unknown)
    No batch with the given BatchId was found.

